#include "..\script_component.hpp"

/*
 * Function: forge_client_phone_fnc_newEmail
 * Author: IDSolutions
 *
 * [Description]
 * Adds a new email to the address book.
 *
 * Arguments:
 * 0: Email <STRING> - The email to add
 *
 * Return Value:
 * None
 *
 * Example:
 * ["test@test.com"] call forge_client_phone_fnc_newEmail;
 *
 * Public: Yes
 */

_email = (_this select 0);
{
	if (_email == (_x select 1)) then {
		_email = (_x select 0);
	};
} forEach GVAR(addressbook);

[format ["You got a new email from %1.", _email], "cyan", 3] call EFUNC(misc,notify);

playSound "FORGE_newMsg";

uiSleep 1;

// [player getVariable ["FORGE_Email", "unknown@spearnet.mil"], player, "forge_client_phone_fnc_addEmail", true] remoteExec ["db_fnc_listload", 2, false];
// ["listrng", player getVariable ["FORGE_Email", "unknown@spearnet.mil"], "", -1, [], "forge_client_phone_fnc_addEmail", true] spawn dragonfly_db_fnc_addTask;
["listrng", player getVariable ["FORGE_Email", "unknown@spearnet.mil"], "", -1, [], "forge_client_phone_fnc_addEmail", true, netId player] remoteExec ["dragonfly_db_fnc_addTask", 2, false];